Conteníu

# Asc Function (BASIC)

Devuelve'l valor ASCII (American Standard Code for Information Interchange) del primer caráuter d'una espresión de cadena.

### Syntax:

    Asc(string) As Long

### Return type:

Long

### Parameters:

string: Any valid string expression. Only the first character in the string is relevant.

Por aciu la función Asc, sustituya tecles por valor. Si la función Asc detecta una cadena balera, LibreOffice Basic informa d'un fallu de tiempu d'execución. Amás de caráuteres ASCII de 7 bits (códigos 0-127), la función ASCII detecta códigos de caráuteres non imprentables en códigu ASCII. Esta función tamién almite caráuteres Unicode de 16 bits.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    Sub ExampleASC
        Print ASC("A") ' devuelve 65
        Print ASC(string:="Z") ' devuelve 90
        Print ASC("Les Vegues") ' devuelve 76, yá que namái se tien en cuenta'l primer caráuter
    End Sub

Temes rellacionaos

AscW Function [VBA]

Chr Function

ChrW Function [VBA]